### Virtual Method

# Camel Address cat

#### Declaration [src]

    gint
    cat (
      CamelAddress* dest,
      CamelAddress* source
    )

#### Description [src]

Concatenate one address onto another. The addresses must be of the same type.

#### Parameters

`source`

  Type: `CamelAddress`

  Source `CamelAddress` object.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

The number of addresses concatenated.